/* Red Hat red is rgb(238,0,0). */

body {
    background: url(redhat.png) no-repeat;
    background-position: 98% 6px;
    background-size: auto 48px;
    /* font-size: 28pt; */ /* For max */
    font-size: 20pt; /* For 1024x768 */
    font-family: Red Hat Text, liberation, helvetica;
    /* font-family: helvetica; */

    /* Can be used to scale the whole document. */
    /*transform: translate(-10%,-10%) scale(0.75,0.75);*/
}

body td, body th { /* why?? */
    font-size: 24pt;
    padding-bottom: 8px;
}

h1 {
    color: rgb(238,0,0);
    /*font-size: 48px;*/
    font-size: 40px;
    top: 8;
    left: 0;
    border-bottom: 2px solid rgb(238,0,0);
}

h2 {
    color: rgb(238,0,0);
    font-size: 32px;
    font-style: italic;
    border-bottom: 2px solid rgb(238,0,0);
}

b {
    color: rgb(238,0,0);
}

/* Title page. */
div#titlepage {
    margin-top: 40px;
    width: 80%;
    margin-left: 10%;
}

div#titlepage p.title {
    color: rgb(238,0,0);
    font-weight: bold;
    font-size: 48px;
    text-align: left;
}

div#titlepage p.author {
    font-size: 36px;
    text-align: left;
}

div#titlepage p.abstract {
    font-size: 28px;
    text-align: left;
}

/* Code */
pre.code {
    margin-left: 1em;
    background: #eee;
}

code {
    color: rgb(238,0,0);
}
span.comment {
    color: rgb(238,0,0);
}

/* Bullet points */
li {
    padding-bottom: 16px;
}

/* For images which must be centered on the page. */
div.allcenter {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50vw;
}

div.all-center img {
}

/* Attribution for artwork etc. */
p.attribution {
    position: absolute;
    right: 10px;
    bottom: 10px;
    text-align: right;
    font-size: 10pt;
}

/* Tables */
table#border {
    border-collapse: collapse;
}

table#border th, table#border td {
    border: 1px solid black;
}
